LAT_UNIX_CONNECT(8)

NAME
lat_unix_connect - measure interprocess connection latency via UNIX sockets

SYNOPSIS
lat_unix_connect -s

lat_unix_connect [ -P <parallelism> ] [ -W <warmups> ] [ -N <repetitions> ]

lat_unix_connect -S

DESCRIPTION
lat_unix_connect is a client/server program that measures interprocess connection latencies. The benchmark times the creation and connection of an AF_UNIX socket to a local server.

lat_unix_connect has three forms of usage: as a server (-s), as a client (lat_unix_connect), and as a shutdown (lat_unix_connect -S).

OUTPUT
The reported time is in microseconds per connection. Output format is like so

UNIX connection cost: 1006 microseconds

SEE ALSO
lmbench(8).

AUTHOR
Carl Staelin and Larry McVoy

Comments, suggestions, and bug reports are always welcome.